// Example script for BrainVoyager QX 2.1 to extract the path from a filename using JavaScript String functions "lastIndexOf()" and "substring()"
// HB, BI, 04/2010

var filename = "/Users/hester/Data/testdata/bettina/AurRou_METFAC_raw_data/functional/FFA_localizer_1/loc1.fmr";
var project = BrainVoyagerQX.OpenDocument(filename);
var path = getPath(filename);
var success = project.LinearTrendRemoval(); // this is only an example; first one needs to do slice scan time correction, etc...
var newname = project.FileNameOfPreprocessdFMR; // this property only returns the name without the path
BrainVoyagerQX.PrintToLog("Name of preprocessed FMR: " + newname);
var nameWithPath = path + newname;
BrainVoyagerQX.PrintToLog("Name including path: " + nameWithPath);
project.Close();
project = BrainVoyagerQX.OpenDocument(nameWithPath); // now open the preprocessed project

function getPath(filename) {

	var start = 0; // start searching from begin
	var last = filename.lastIndexOf("/");
	BrainVoyagerQX.PrintToLog("Last fileseparator at position: " + last);
	var path = filename.substring(start, (last+1)); // now return path without filename
	BrainVoyagerQX.PrintToLog("Path: " + path);
	return path;
}
